---
import { env } from '~/lib/env';
import { getPages, buildPageTree, sortTreeLevel, isTree } from '~/lib/pages';

const footerPages = getPages(await Astro.glob('/src/pages/**/*.{md,astro}')).filter(
  page => page.frontmatter?.special === 'footer',
);

const pageTree = await buildPageTree(footerPages);
const treeLevel = sortTreeLevel(pageTree);
---

<footer
  class="border-t px-4 py-6 text-muted-foreground row-start-footer-top row-end-bottom col-start-gutter-left col-end-gutter-right sm:px-6 lg:px-8"
>
  <div class="">
    <div class="flex flex-wrap justify-between gap-6">
      <p class="text-xs">{env.SITE_TITLE} – {env.SITE_DESCRIPTION}</p>

      <ul class="flex flex-wrap justify-start gap-4 text-xs lg:justify-end">
        {
          treeLevel.map(([title, page]) => (
            <li>
              <a href={isTree(page) ? page.index?.url : page.url}>{title}</a>
            </li>
          ))
        }
      </ul>
    </div>
  </div>
</footer>
